%define upstream_name    OpenGL-GLUT
%define upstream_version 0.72

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl bindings to GLUT/FreeGLUT GUI toolkit
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/OpenGL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(OpenGL)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildRequires: pkgconfig(freeglut)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(glut)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xmu)
BuildRequires: x11-server-xvfb

%description
OpenGL::GLUT is the alpha release of a stand-alone module for GLUT/FreeGLUT
bindings extracted from code in the original Perl OpenGL module. The
purpose is to make this functionality available independent of the legacy
OpenGL module for use with OpenGL::Modern.

When you register a 'glutCloseFunc', ensure that you de-register it before
destroying the window. See the supplied _test.pl_.

EXPORT
      :all - exports all GLUT functions and constants
      :constants - export only GLUT constants (same as :glutconstants)
      :functions - export only GLUT functions (same as :glutfunctions)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
xvfb-run perl Makefile.PL INSTALLDIRS=vendor verbose

%make_build

%check
xvfb-run %make_build test

%install
%make_install

%files
%doc META.json COPYRIGHT META.yml Changes
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Wed Nov 29 2023 tv <tv> 0.720.0-4.mga10
+ Revision: 2011401
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.720.0-3.mga9
+ Revision: 1862905
- Rebuild for Perl 5.36

* Fri Apr 01 2022 umeabot <umeabot> 0.720.0-2.mga9
+ Revision: 1838138
- Mageia 9 Mass Rebuild

* Tue Jan 25 2022 tv <tv> 0.720.0-1.mga9
+ Revision: 1769702
- imported package perl-OpenGL-GLUT

